"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initHandler = void 0;
const tslib_1 = require("tslib");
const child_process_1 = require("child_process");
const fs_1 = require("fs");
const fileutils_1 = require("../utils/fileutils");
const add_nx_to_npm_repo_1 = require("../nx-init/add-nx-to-npm-repo");
function initHandler() {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const args = process.argv.slice(2).join(' ');
        if ((0, fs_1.existsSync)('package.json')) {
            if (isMonorepo()) {
                // TODO: vsavkin remove add-nx-to-monorepo
                (0, child_process_1.execSync)(`npx --yes add-nx-to-monorepo@latest ${args}`, {
                    stdio: [0, 1, 2],
                });
            }
            else {
                yield (0, add_nx_to_npm_repo_1.addNxToNpmRepo)();
            }
        }
        else {
            (0, child_process_1.execSync)(`npx --yes create-nx-workspace@latest ${args}`, {
                stdio: [0, 1, 2],
            });
        }
    });
}
exports.initHandler = initHandler;
function isMonorepo() {
    const packageJson = (0, fileutils_1.readJsonFile)('package.json');
    if (!!packageJson.workspaces)
        return true;
    if ((0, fs_1.existsSync)('pnpm-workspace.yaml') || (0, fs_1.existsSync)('pnpm-workspace.yml'))
        return true;
    if ((0, fs_1.existsSync)('lerna.json'))
        return true;
    return false;
}
//# sourceMappingURL=init.js.map